Package org.eclipse.net4j.util.concurrent

## Class Worker.WorkContext

- java.lang.Object
- - org.eclipse.net4j.util.concurrent.Worker.WorkContext

- Enclosing class:
    Worker

      public class Worker.WorkContext
      extends java.lang.Object

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WorkContext()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getCount()` |
    `void` | `nextWork()` |
    `void` | `nextWork​(long pauseMillis)` |
    `void` | `terminate()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkContext

          public WorkContext()

  - ### Method Detail

    - #### getCount

          public long getCount()

    - #### nextWork

          public void nextWork()

    - #### nextWork

          public void nextWork​(long pauseMillis)

    - #### terminate

          public void terminate()